﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Vintagestory.API;
using Vintagestory.API.Datastructures;
using Vintagestory.API.Client;
using Vintagestory.API.Server;
using Vintagestory.API.Common;
using Vintagestory.GameContent;
using Vintagestory.API.Config;
using Vintagestory.API.MathTools;
using Vintagestory.API.Common.Entities;
using ProtoBuf;

namespace vsmovemod.src
{
    class BoatHandler
    {
        private static void SendPlace()
        {
            if (DataFields.placeBoatN)
            {
                MoveMod.clientChannel.SendPacket(new NetworkApiTestResponse()
                {
                    placeBoatN = true,
                });
            }
            else if (DataFields.placeBoatE)
            {
                MoveMod.clientChannel.SendPacket(new NetworkApiTestResponse()
                {
                    placeBoatE = true,
                });
            }
            else if (DataFields.placeBoatS)
            {
                MoveMod.clientChannel.SendPacket(new NetworkApiTestResponse()
                {
                    placeBoatS = true,
                });
            }
            else if (DataFields.placeBoatW)
            {
                MoveMod.clientChannel.SendPacket(new NetworkApiTestResponse()
                {
                    placeBoatW = true,
                });
            }
        }

        private static void SendRemove()
        {
            MoveMod.clientChannel.SendPacket(new NetworkApiTestResponse()
            {
                deleteBoat = true,
            });
        }

        public static void RemoveBoat(IClientPlayer player, ICoreClientAPI api)
        {
            // Remove
            if (DataFields.removeBoat)
            {
                SendRemove();
                DataFields.removeBoat = false;
            }
        }

        public static void PlaceBoat(IClientPlayer player, ICoreClientAPI api)
        {
            // Place
            if (DataFields.placeBoatN)
            {
                SendPlace();
                DataFields.placeBoatN = false;
            }
            else if (DataFields.placeBoatE)
            {
                SendPlace();
                DataFields.placeBoatE = false;
            }
            else if (DataFields.placeBoatS)
            {
                SendPlace();
                DataFields.placeBoatS = false;
            }
            else if (DataFields.placeBoatW)
            {
                SendPlace();
                DataFields.placeBoatW = false;
            }
        }

    }
}
